Package org.eclipse.net4j.util.io

# Class TMPUtil

java.lang.Object
org.eclipse.net4j.util.io.TMPUtil

public final class TMPUtil extends Object

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SYSTEM_TEMP_FOLDER`
`static final String`
`TEMP_FOLDER_PROPERTY`

## Method Summary

Modifier and Type
Method
Description
`static File`
`createTempFile()`
`static File`
`createTempFile(String prefix)`
`static File`
`createTempFile(String prefix, String suffix)`
`static File`
`createTempFile(String prefix, String suffix, File directory)`
`static File`
`createTempFolder()`
`static File`
`createTempFolder(String prefix)`
`static File`
`createTempFolder(String prefix, String suffix)`
`static File`
`createTempFolder(String prefix, String suffix, File directory)`
`static File`
`getTempFolder()`
`static File`
`getTempName()`
`static File`
`getTempName(String prefix)`
`static File`
`getTempName(String prefix, String suffix)`
`static File`
`getTempName(String prefix, String suffix, File directory)`
`static void`
`setTempFolder(String tempFolder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TEMP_FOLDER_PROPERTY

public static final String TEMP_FOLDER_PROPERTY

Since:
  3.0
See Also:
  - Constant Field Values

### SYSTEM_TEMP_FOLDER

public static final String SYSTEM_TEMP_FOLDER

Since:
  2.0

## Method Details

### getTempFolder

public static File getTempFolder()

Since:
  3.0

### setTempFolder

public static void setTempFolder(String tempFolder)

Since:
  3.0

### getTempName

public static File getTempName() throws IORuntimeException

Throws:
  `IORuntimeException`
Since:
  3.7

### getTempName

public static File getTempName(String prefix) throws IORuntimeException

Throws:
  `IORuntimeException`
Since:
  3.7

### getTempName

public static File getTempName(String prefix, String suffix) throws IORuntimeException

Throws:
  `IORuntimeException`
Since:
  3.7

### getTempName

public static File getTempName(String prefix, String suffix, File directory) throws IORuntimeException

Throws:
  `IORuntimeException`
Since:
  3.7

### createTempFolder

public static File createTempFolder() throws IORuntimeException

Throws:
  `IORuntimeException`

### createTempFolder

public static File createTempFolder(String prefix) throws IORuntimeException

Throws:
  `IORuntimeException`

### createTempFolder

public static File createTempFolder(String prefix, String suffix) throws IORuntimeException

Throws:
  `IORuntimeException`

### createTempFolder

public static File createTempFolder(String prefix, String suffix, File directory) throws IORuntimeException

Throws:
  `IORuntimeException`

### createTempFile

public static File createTempFile() throws IORuntimeException

Throws:
  `IORuntimeException`
Since:
  3.1

### createTempFile

public static File createTempFile(String prefix) throws IORuntimeException

Throws:
  `IORuntimeException`
Since:
  3.1

### createTempFile

public static File createTempFile(String prefix, String suffix) throws IORuntimeException

Throws:
  `IORuntimeException`
Since:
  3.1

### createTempFile

public static File createTempFile(String prefix, String suffix, File directory) throws IORuntimeException

Throws:
  `IORuntimeException`
Since:
  3.1